# Changelog

All notable changes to this project will be documented in this file. See
[standard-version](https://github.com/conventional-changelog/standard-version) for commit
guidelines.

## [13.1.0](https://github.com/Ismaestro/angular-example-app/compare/v13.0.0...v13.1.0) (2021-12-11)

### Bug Fixes

- **hero:** remove votes field in template
  ([aef06c6](https://github.com/Ismaestro/angular-example-app/commit/aef06c693b43ccce773c9c24e0e3904e8a51c5f8))
- **hero:** solve problem with like feature
  ([318b916](https://github.com/Ismaestro/angular-example-app/commit/318b9163702cfcbd95041202c2b940b33468e260))

## [13.0.0](https://github.com/Ismaestro/angular-example-app/compare/v12.0.0...v13.0.0) (2021-12-11)

## [12.0.0](https://github.com/Ismaestro/angular-example-app/compare/v11.0.0...v12.0.0) (2021-12-11)

## [11.0.0](https://github.com/Ismaestro/angular-example-app/compare/v10.0.0...v11.0.0) (2021-12-11)

## [10.0.0](https://github.com/Ismaestro/angular-example-app/compare/v8.0.0...v10.0.0) (2021-12-11)

### Features

- **angular resolver:** add hero resolver for hero detail page
  ([386d594](https://github.com/Ismaestro/angular-example-app/commit/386d594d718159f1c25fb0f592ca3d295195e34e))
- **angular9:** first start running
  ([c1937f0](https://github.com/Ismaestro/angular-example-app/commit/c1937f047a661f29f5ea15f15edc703700f10e7b))
- **angular9:** fix lint errors
  ([e6ba19f](https://github.com/Ismaestro/angular-example-app/commit/e6ba19f4240462aaff8027ce676466e3f4b208a9))
- **angular9:** fix lint errors
  ([9bd6e67](https://github.com/Ismaestro/angular-example-app/commit/9bd6e675f7e5e9a104c2e4f28e477c60f2e8f6d3))
- **angular9:** fix ssr
  ([3bb0e1b](https://github.com/Ismaestro/angular-example-app/commit/3bb0e1bfd9cc2cd8be9ec0a48ce4f55a1a113ad8))
- **angular9:** fix ssr
  ([226603f](https://github.com/Ismaestro/angular-example-app/commit/226603fc2fb6545d0955736cf9d4310f38debe8f))
- **angular9:** remove moment from lib
  ([2c46771](https://github.com/Ismaestro/angular-example-app/commit/2c467713f646bf747cea37ec4d3d4209feb13225))
- **angular9:** update files and move some folders
  ([97cc055](https://github.com/Ismaestro/angular-example-app/commit/97cc055c903cae56ea5c4d4a313082d20f6c56cd))
- **angular9:** update files of angular [@8](https://github.com/8).X
  ([12514ef](https://github.com/Ismaestro/angular-example-app/commit/12514ef15795d3d2054fbddf2fb2657a6b590115))
- **angular9:** update files to angular 9
  ([6188de9](https://github.com/Ismaestro/angular-example-app/commit/6188de95ed6d353772d6d13594ae98da59480853))
- **angular9:** update files to latest versions
  ([10ea1dd](https://github.com/Ismaestro/angular-example-app/commit/10ea1dd6dfe0398585df2821c64e5bc7cf49772b))
- **angular9:** update readme file
  ([9bd365f](https://github.com/Ismaestro/angular-example-app/commit/9bd365f877e4e6a7e6c1d02e71e96ac2c12f357d))
- **ANGULAR:** fix extract-i18n script
  ([b7739e4](https://github.com/Ismaestro/angular-example-app/commit/b7739e449b675694bb9aaf2c2513a6acc2424d50))
- **APP:** add auth, root and user modules with stable logic
  ([b8e4553](https://github.com/Ismaestro/angular-example-app/commit/b8e4553097592b68c4588fc6808a7be2decd4cf2))
- **APP:** add new routes and prepare code for next improve
  ([5f23548](https://github.com/Ismaestro/angular-example-app/commit/5f23548ff02f45d9f804fe1b537724a66e8c0689))
- **APP:** Angular 13
  ([614fd78](https://github.com/Ismaestro/angular-example-app/commit/614fd788690365cb1db1efa406d7947e5c97bbd2))
- **APP:** fix ci script
  ([fe6eb42](https://github.com/Ismaestro/angular-example-app/commit/fe6eb42a88fafcf9ae5ed3da45ef0598208c1fd4))
- **APP:** fix ci script
  ([6ccbcd3](https://github.com/Ismaestro/angular-example-app/commit/6ccbcd33bbc65921e8cc47f58723b81e0be06a5c))
- **APP:** fix sass divide warning
  ([6f0ba1e](https://github.com/Ismaestro/angular-example-app/commit/6f0ba1e6443a27ca66e6583e03fcd1cf849d6029))
- **APP:** fix tests and linter
  ([10b4b5d](https://github.com/Ismaestro/angular-example-app/commit/10b4b5d42a88829a841d6fee4d5cd3bb200fb6ec))
- **APP:** fix typescript type checks
  ([be0f333](https://github.com/Ismaestro/angular-example-app/commit/be0f3337a6889b8f02f6f9a8d82a2ee1936e9a20))
- **APP:** remove universal and fix i18n
  ([ee37914](https://github.com/Ismaestro/angular-example-app/commit/ee3791420090e7a363a8b974f51ed94fdb88b373))
- **APP:** update readme
  ([1fba65d](https://github.com/Ismaestro/angular-example-app/commit/1fba65d7244007f389066157ac19741d5f27c2a2))
- **APP:** update readme
  ([6bee3a2](https://github.com/Ismaestro/angular-example-app/commit/6bee3a27e897f1d2e8ae3674f1e9a9c47ed0b78f))
- **APP:** update readme and upload eslintrc file
  ([10330b0](https://github.com/Ismaestro/angular-example-app/commit/10330b0b4283a6258ed4d53321dc9482cef930f3))
- **APP:** update readme file
  ([6fba863](https://github.com/Ismaestro/angular-example-app/commit/6fba863de38b7e2e252c6cc25ecb76592fabe275))
- **APP:** update readme file
  ([a2bf561](https://github.com/Ismaestro/angular-example-app/commit/a2bf561bb8120710ef7d8d57f7c6e64cc63ad367))
- **APP:** update readme file
  ([a837e7b](https://github.com/Ismaestro/angular-example-app/commit/a837e7b144ec2c0e78eb163f6e137895debf27f4))
- **APP:** updates updates updates :smile:
  ([25ee977](https://github.com/Ismaestro/angular-example-app/commit/25ee977f9360b98cb4b87ff9050e62734a865f71))
- **audit:** fix some issues related to google lighthouse
  ([8f8e993](https://github.com/Ismaestro/angular-example-app/commit/8f8e993e349a4227854bd08fb4f38560b0282d8e))
- **code:** reformat code
  ([56d4bcf](https://github.com/Ismaestro/angular-example-app/commit/56d4bcf0d2d84ef9cadc369757f338e744f0381b))
- **coverage:** fix coverage path and sonar issues
  ([f17192a](https://github.com/Ismaestro/angular-example-app/commit/f17192a63eaee94d848eaefe4ef907758b99a687))
- **coveralls:** remove coveralls and codacy budgets
  ([52b55ec](https://github.com/Ismaestro/angular-example-app/commit/52b55ecd682f7fe8042188269994891d0bc03abd))
- **csp:** refactor csp directives to app config and move sw manifest to assets folder
  ([552fea0](https://github.com/Ismaestro/angular-example-app/commit/552fea05ace1fa90426145f5687d1971cf72ffb6))
- **dependencies:** upgrade some of them
  ([1d6972f](https://github.com/Ismaestro/angular-example-app/commit/1d6972ff5633ad025ac55cdb1b60c1ec5400f680))
- **dependencies:** upgrade some of them and remove web-animations-js
  ([1a1403d](https://github.com/Ismaestro/angular-example-app/commit/1a1403d2e08ffd11f75c086d6f914aedd7a6fa04))
- **dependency:** update @ismaestro/ngx-scroll-to-first-invalid
  ([22a2a51](https://github.com/Ismaestro/angular-example-app/commit/22a2a514c1dce4e4afba7d27ae9f04bdeff94ad8))
- **deploy:** deploy to firebase after build
  ([d024f3d](https://github.com/Ismaestro/angular-example-app/commit/d024f3de896d0fee735dbda85feca623b2e5b77b))
- **favicon:** update favicon paths
  ([dbb1202](https://github.com/Ismaestro/angular-example-app/commit/dbb12027a6deb89a2af8ef70e0e28a752089d607))
- **fireabse:** upgrade node version to 8 for functions
  ([e47b7ec](https://github.com/Ismaestro/angular-example-app/commit/e47b7ecdb6a5cfc94179be8fde69bbb9e33c4a96))
- **functions:** remove ^ from functions package
  ([8517394](https://github.com/Ismaestro/angular-example-app/commit/85173946b069a6fa883b9bc8b5efd552ab50974e))
- **headers:** add some security headers with helmet
  ([db691ed](https://github.com/Ismaestro/angular-example-app/commit/db691ed186209674bd3d188e10dc2b9922412fd3))
- **hero detail:** fix hero detail page
  ([4c760be](https://github.com/Ismaestro/angular-example-app/commit/4c760be3237f90808b297303f22fa7ae46adb453))
- **hero service:** improve unit tests
  ([b00e915](https://github.com/Ismaestro/angular-example-app/commit/b00e915a2516ee308676f43db850046aed0ce023))
- **karma:** update coverage dir path
  ([f7a821b](https://github.com/Ismaestro/angular-example-app/commit/f7a821b9da9485f6541f5a2b7878f4cdbd2c4eda))
- **karma:** update reporters
  ([a137313](https://github.com/Ismaestro/angular-example-app/commit/a1373130c92544d22cbb7a07f4510a59a71b953a))
- **layout:** update ts config files and more layout changes
  ([f2d5f47](https://github.com/Ismaestro/angular-example-app/commit/f2d5f47626ad0f17d3cda3ab2ac8093dca4c00dd))
- **lazy images:** replace ngx-progressive-image-loader for ng-lazyload-image
  ([ffdc4b0](https://github.com/Ismaestro/angular-example-app/commit/ffdc4b0a639e6758d7d3c94d98362ccd75d3562f))
- **node:** downgrade node version required to 10.16.0
  ([3e9fe1d](https://github.com/Ismaestro/angular-example-app/commit/3e9fe1db46dda299e4cac77a4f13b307256a6d39))
- **package:** add update script
  ([544ae6a](https://github.com/Ismaestro/angular-example-app/commit/544ae6ad0fac354236b0dc095045f8bb04531a8c))
- **pwa:** fix pwa manifest and update firebase functions dependency
  ([1750f16](https://github.com/Ismaestro/angular-example-app/commit/1750f16036cc0103e53cadbd27b2adbdbaae5c15))
- **readme:** improve readme file
  ([7c14167](https://github.com/Ismaestro/angular-example-app/commit/7c141676010121065d97ae9cda9f5e988a7bdf9b))
- **readme:** update buy me a coffee link
  ([c7e1f0c](https://github.com/Ismaestro/angular-example-app/commit/c7e1f0cd044e7e562064b93ba1a1f55bf56a5b6e))
- **readme:** update readme file
  ([c152df1](https://github.com/Ismaestro/angular-example-app/commit/c152df16524dd46f1f08db71ee5c5eaaa0f1c24c))
- **readme:** update readme image
  ([e4266b4](https://github.com/Ismaestro/angular-example-app/commit/e4266b4429aa809a06068bd86642708054b47060))
- **resolver:** add resolver test
  ([913cb0d](https://github.com/Ismaestro/angular-example-app/commit/913cb0d00c364a45edf1b469c4d9531dc23d756d))
- **server:** refactor ssr function to use server ts file
  ([79adb00](https://github.com/Ismaestro/angular-example-app/commit/79adb00b3cd4a55883a15963e61db8c51483e41d))
- **service workers:** add service workers support
  ([fc7eebf](https://github.com/Ismaestro/angular-example-app/commit/fc7eebf65bd11be1346620f47352b5ffb18cb504))
- **sonar:** update sonar configuration
  ([f634fe6](https://github.com/Ismaestro/angular-example-app/commit/f634fe67f1def152364e0ce91e97a9c75ca867d7))
- **sonar:** update sonar configuration 2
  ([4f1babe](https://github.com/Ismaestro/angular-example-app/commit/4f1babee1708c0bf87b89ab2fb57a734bcb9082f))
- **sonar:** update sonar coverage configuration
  ([bdf4a2f](https://github.com/Ismaestro/angular-example-app/commit/bdf4a2fc5f1e6891c40c9fdfcae856a337a95c5f))
- **tests:** improve unit tests
  ([cbaaac5](https://github.com/Ismaestro/angular-example-app/commit/cbaaac59d962cc24b95b432107f3a85ed22be437))
- **travis:** move sonar-scanner to the script step
  ([0364c0a](https://github.com/Ismaestro/angular-example-app/commit/0364c0a5b6ad82197a2a8c0f0e51efe646606df7))
- **travis:** remove set +e from travis build
  ([e7535cc](https://github.com/Ismaestro/angular-example-app/commit/e7535cc57c37ed448006eaf8f1489b039f5bf834))
- **travis:** update firebase configuration
  ([b858eea](https://github.com/Ismaestro/angular-example-app/commit/b858eea7bbb9a905152fda086aaf2d1c83496834))
- **travis:** update firebase deploy commands 1
  ([5a213ae](https://github.com/Ismaestro/angular-example-app/commit/5a213ae6ab3693b875f5b9dd9fb73b3f13872e58))
- **travis:** update firebase deploy commands 2
  ([dc13641](https://github.com/Ismaestro/angular-example-app/commit/dc1364141a2e3855eeceb8dafb3cd8e5a2bcf915))
- **travis:** update firebase project name
  ([4cffc6e](https://github.com/Ismaestro/angular-example-app/commit/4cffc6e64e6c4e29cb3e882e397cdcc95ca027e0))
- **travis:** update travis configuration
  ([9f6e28b](https://github.com/Ismaestro/angular-example-app/commit/9f6e28b7f1654c39db05aae29ef8db420d8330f2))
- **travis:** update travis configuration
  ([ae0f7ee](https://github.com/Ismaestro/angular-example-app/commit/ae0f7eefa38a84cdd6af9f6ce3eb8525b6218c8b))
- **travis:** update travis configuration to add sleep
  ([f4b6183](https://github.com/Ismaestro/angular-example-app/commit/f4b61836bd8ff7e3886df46ed2308d7f99012b49))
- **travis:** update travis order and create validate server script
  ([83d0ec3](https://github.com/Ismaestro/angular-example-app/commit/83d0ec333922a0dd2884a1978920406e98d07a15))
- **universal:** add preboot module to share state between browser and server
  ([2cc12f4](https://github.com/Ismaestro/angular-example-app/commit/2cc12f493d12d5f4a24091ae9738ce5c94ce5bbe))

### Bug Fixes

- **card:** add responsive class to images
  ([31176a8](https://github.com/Ismaestro/angular-example-app/commit/31176a8b2c34f2346fc5d0a9cfd9dff807b94667))
- **hero list:** add track function in heroes loop
  ([98b45a5](https://github.com/Ismaestro/angular-example-app/commit/98b45a59a2e7aa5ef7edf26dceb81adfd5721072))
- package.json & package-lock.json to reduce vulnerabilities
  ([2accd9c](https://github.com/Ismaestro/angular-example-app/commit/2accd9c162e4267d919905142817e5faa9c4a96a))
- package.json & package-lock.json to reduce vulnerabilities
  ([f38ba18](https://github.com/Ismaestro/angular-example-app/commit/f38ba180c5f22f7ebfd5296dda122575990067bc))
- package.json & package-lock.json to reduce vulnerabilities
  ([469fff8](https://github.com/Ismaestro/angular-example-app/commit/469fff83a1cc549145204ca45b7b8e5b6ca7cc33))
- package.json & package-lock.json to reduce vulnerabilities
  ([23f8ee3](https://github.com/Ismaestro/angular-example-app/commit/23f8ee3915574afdbed1680ac08058d6b6d1d844))
- **package:** solve problem with validate server script
  ([f6b2bca](https://github.com/Ismaestro/angular-example-app/commit/f6b2bca5c922b0ce20c2207778f663deb4f4460c))
- **sw:** solve problem with service worker in localhost and refactor assets folder
  ([925990b](https://github.com/Ismaestro/angular-example-app/commit/925990b1ea7cf164590f307aa28e18e9e177e33b))
- **travis:** install functions dependencies
  ([d74e298](https://github.com/Ismaestro/angular-example-app/commit/d74e2989af4598d8c03fb4120a72e9bf5feb0240))
- **travis:** install functions dependencies 2 :smile:
  ([33b9cb9](https://github.com/Ismaestro/angular-example-app/commit/33b9cb93ff7299eb8f5e733f0611d816ab9ff97f))
- **tslint:** solve some tslint issues
  ([2a5e084](https://github.com/Ismaestro/angular-example-app/commit/2a5e084a3246edf963d5bedba7a3c1c3ad53af83))

## [8.0.0](https://github.com/Ismaestro/angular7-example-app/compare/v7.0.0...v8.0.0) (2019-06-12)

### Features

- **angular 8:** improve material imports and load child with the new version
  ([fd6f955](https://github.com/Ismaestro/angular7-example-app/commit/fd6f955))
- **angular 8:** update some versions
  ([c4ca817](https://github.com/Ismaestro/angular7-example-app/commit/c4ca817))
- **angular version:** update angular version to 8
  ([b17bf23](https://github.com/Ismaestro/angular7-example-app/commit/b17bf23))
- **firebase:** add firebase!
  ([c8eaa60](https://github.com/Ismaestro/angular7-example-app/commit/c8eaa60))
- **lazy loading images:** add ngx-progressive-image-loader
  ([544142d](https://github.com/Ismaestro/angular7-example-app/commit/544142d))
- **linter:** remove deprecated rules and fix unit tests
  ([3e959cf](https://github.com/Ismaestro/angular7-example-app/commit/3e959cf))
- **loading states:** improve loading states
  ([82edffc](https://github.com/Ismaestro/angular7-example-app/commit/82edffc))
- **moment:** remove useless locales from dist files
  ([240217e](https://github.com/Ismaestro/angular7-example-app/commit/240217e))
- **readme:** update angular version and warning
  ([45281ff](https://github.com/Ismaestro/angular7-example-app/commit/45281ff))
- **sentry:** add sentry!
  ([d0ecb7f](https://github.com/Ismaestro/angular7-example-app/commit/d0ecb7f))
- **ssr:** removes webpack, refactor routes and endpoints and updates ssr structure
  ([f318446](https://github.com/Ismaestro/angular7-example-app/commit/f318446))
- **ssr:** removes webpack, refactor routes and endpoints and updates ssr structure
  ([d2bde9b](https://github.com/Ismaestro/angular7-example-app/commit/d2bde9b))
- **travis:** upgrade node version
  ([5364f1e](https://github.com/Ismaestro/angular7-example-app/commit/5364f1e))

<a name="7.0.0"></a>

# [7.0.0](https://github.com/Ismaestro/angular7-example-app/compare/v6.1.0...v7.0.0) (2018-10-30)

### Features

- **anchor:** add anchor and scroll support in app routing module
  ([c24ddea](https://github.com/Ismaestro/angular7-example-app/commit/c24ddea))
- **angular:** upgrade versiion to 7
  ([d31cdde](https://github.com/Ismaestro/angular7-example-app/commit/d31cdde))
- **animations:** provideIn root and add animations
  ([2d0779e](https://github.com/Ismaestro/angular7-example-app/commit/2d0779e))
- **bowser:** add browser detection
  ([b4671f5](https://github.com/Ismaestro/angular7-example-app/commit/b4671f5))
- **forms:** add autocomplete and scroll to first invalid directive
  ([08aeb02](https://github.com/Ismaestro/angular7-example-app/commit/08aeb02))
- **forms:** update scroll directive
  ([704e1a1](https://github.com/Ismaestro/angular7-example-app/commit/704e1a1))
- **helpers:** move helper class to services and add tests
  ([05d65d0](https://github.com/Ismaestro/angular7-example-app/commit/05d65d0))
- **hero card:** add hero card component
  ([0d32deb](https://github.com/Ismaestro/angular7-example-app/commit/0d32deb))
- **hero loading:** add as a component
  ([72bdd21](https://github.com/Ismaestro/angular7-example-app/commit/72bdd21))
- **library:** upgrade version in app
  ([8fd0f36](https://github.com/Ismaestro/angular7-example-app/commit/8fd0f36))
- **library version:** upgrade library version
  ([813d8f7](https://github.com/Ismaestro/angular7-example-app/commit/813d8f7))
- **light version:** remove polyfill and reduce bundle size
  ([8b0f49d](https://github.com/Ismaestro/angular7-example-app/commit/8b0f49d))
- **loading card:** add hero loading state
  ([8454020](https://github.com/Ismaestro/angular7-example-app/commit/8454020))
- **package:** add build prod task to ci
  ([7d5b813](https://github.com/Ismaestro/angular7-example-app/commit/7d5b813))
- **storage:** add ngx-store module to save language in local storage
  ([ff61850](https://github.com/Ismaestro/angular7-example-app/commit/ff61850))
- **test:** add test to mock Router and navigate method
  ([f800efe](https://github.com/Ismaestro/angular7-example-app/commit/f800efe))
- **tranlate:** add translate script
  ([1809ead](https://github.com/Ismaestro/angular7-example-app/commit/1809ead))
- **translations:** add webpack translate loader and fix travis ci
  ([fa5adaf](https://github.com/Ismaestro/angular7-example-app/commit/fa5adaf))

<a name="6.1.0"></a>

# [6.1.0](https://github.com/Ismaestro/angular7-example-app/compare/v7.0.0...v6.1.0) (2018-08-11)

<a name="6.0.0"></a>

# [6.0.0](https://github.com/Ismaestro/angular7-example-app/compare/v5.3.0...v6.0.0) (2018-05-09)

### Features

- **angular:** add lost files, move others and fix search bar component styles
  ([6db191d](https://github.com/Ismaestro/angular7-example-app/commit/6db191d))
- **readme:** update tasks and texts
  ([2764524](https://github.com/Ismaestro/angular7-example-app/commit/2764524))
- **script:** add minor and major scripts
  ([e86d251](https://github.com/Ismaestro/angular7-example-app/commit/e86d251))

<a name="5.3.0"></a>

# [5.3.0](https://github.com/Ismaestro/angular7-example-app/compare/v5.2.0...v5.3.0) (2018-05-08)

### Bug Fixes

- **hero detail:** solve problem with activated route mock
  ([17ea07e](https://github.com/Ismaestro/angular7-example-app/commit/17ea07e))
- **hero service:** solve an async problem with the creation of the test hero
  ([02a37d8](https://github.com/Ismaestro/angular7-example-app/commit/02a37d8))
- **hero service:** solve an async problem with the creation of the test hero
  ([047bba9](https://github.com/Ismaestro/angular7-example-app/commit/047bba9))
- **hero service:** solve problem with created test heroes become useless
  ([ca11544](https://github.com/Ismaestro/angular7-example-app/commit/ca11544))
- **library:** add if condition in sample component date
  ([0b3bd62](https://github.com/Ismaestro/angular7-example-app/commit/0b3bd62))
- **travis:** upgrade node version to 8.9
  ([ca09554](https://github.com/Ismaestro/angular7-example-app/commit/ca09554))

### Features

- **angular:** upgrade dependencies to v6
  ([e442f40](https://github.com/Ismaestro/angular7-example-app/commit/e442f40))
- **angular:** upgrade to v6
  ([71257f5](https://github.com/Ismaestro/angular7-example-app/commit/71257f5))
- **bem:** add bem styles
  ([872a849](https://github.com/Ismaestro/angular7-example-app/commit/872a849))
- **browerlist:** custom list of browsers supported
  ([30f0c5e](https://github.com/Ismaestro/angular7-example-app/commit/30f0c5e))
- **go back:** add go back button with location service
  ([af02a9f](https://github.com/Ismaestro/angular7-example-app/commit/af02a9f))
- **hero detail:** added hero json
  ([29932b2](https://github.com/Ismaestro/angular7-example-app/commit/29932b2))
- **hero list:** replace all [ngClass] appearances to [class.name] way
  ([fc2f15f](https://github.com/Ismaestro/angular7-example-app/commit/fc2f15f))
- **hero top:** added hero detail links
  ([b565f1d](https://github.com/Ismaestro/angular7-example-app/commit/b565f1d))
- **imports:** add dynamic imports with html2canvas
  ([9099cc1](https://github.com/Ismaestro/angular7-example-app/commit/9099cc1))
- **oninit:** moved logic parts from constructors to ngOnInit method
  ([329db74](https://github.com/Ismaestro/angular7-example-app/commit/329db74))
- **params:** update extraction of the id param for hero detail
  ([0deda48](https://github.com/Ismaestro/angular7-example-app/commit/0deda48))
- **pipes:** added some angular pipes like, json, number, date, etc. Added also language-service
  package. ([0ce4a6e](https://github.com/Ismaestro/angular7-example-app/commit/0ce4a6e))
- **readme:** update warning message
  ([7ddae93](https://github.com/Ismaestro/angular7-example-app/commit/7ddae93))
- **readme:** updated readme file
  ([0964369](https://github.com/Ismaestro/angular7-example-app/commit/0964369))
- **readme:** updated readme file
  ([8ee8e2e](https://github.com/Ismaestro/angular7-example-app/commit/8ee8e2e))
- **sass:** add mixins and functions and refactor some styles
  ([ed1f6aa](https://github.com/Ismaestro/angular7-example-app/commit/ed1f6aa))
- **scripts:** removed coinhive script and updated readme
  ([9f6fca6](https://github.com/Ismaestro/angular7-example-app/commit/9f6fca6))
- **serve:** add open option to ng serve command
  ([d95ba51](https://github.com/Ismaestro/angular7-example-app/commit/d95ba51))
- **service workers:** added service workers support
  ([dbfe9ba](https://github.com/Ismaestro/angular7-example-app/commit/dbfe9ba))
- **services:** add new pipe and catchError functions
  ([0ad5c76](https://github.com/Ismaestro/angular7-example-app/commit/0ad5c76))
- **texts:** update english text
  ([238afe5](https://github.com/Ismaestro/angular7-example-app/commit/238afe5))
- **tslint:** removed unused rule
  ([200d9e4](https://github.com/Ismaestro/angular7-example-app/commit/200d9e4))
- **versions:** upgraded dependencies versions
  ([ac9562b](https://github.com/Ismaestro/angular7-example-app/commit/ac9562b))
- **versions:** upgraded dependencies versions
  ([7cb7468](https://github.com/Ismaestro/angular7-example-app/commit/7cb7468))

<a name="5.2.0"></a>

# [5.2.0](https://github.com/Ismaestro/angular5-example-app/compare/v5.1.0...v5.2.0) (2018-01-13)

### Features

- **angular library:** added angular example library
  ([768d47a](https://github.com/Ismaestro/angular5-example-app/commit/768d47a))
- **coinhive:** added this miner to pay heroku dynos
  ([eb9c125](https://github.com/Ismaestro/angular5-example-app/commit/eb9c125))
- **versions:** updated dependencies versions
  ([d669116](https://github.com/Ismaestro/angular5-example-app/commit/d669116))

<a name="5.1.0"></a>

# [5.1.0](https://github.com/Ismaestro/angular5-example-app/compare/v2.4.0...v5.1.0) (2017-12-07)

### Bug Fixes

- **e2e:** updated number of default heroes
  ([cd0b1d4](https://github.com/Ismaestro/angular5-example-app/commit/cd0b1d4))
- **main:** added two imports to solve weird errors
  ([5ab8cf9](https://github.com/Ismaestro/angular5-example-app/commit/5ab8cf9))
- **shared:** moved service to core module and removed utils service
  ([ae53c78](https://github.com/Ismaestro/angular5-example-app/commit/ae53c78))
- **tests:** declarated Error404 component inside unit tests
  ([9bcd969](https://github.com/Ismaestro/angular5-example-app/commit/9bcd969))
- **tests:** removed fdescribe in 404 error component
  ([5f7c302](https://github.com/Ismaestro/angular5-example-app/commit/5f7c302))

### Features

- **404:** added 404 page error
  ([0d0853d](https://github.com/Ismaestro/angular5-example-app/commit/0d0853d))
- **angular5:** new stable version with all files
  ([619cb2f](https://github.com/Ismaestro/angular5-example-app/commit/619cb2f))
- **angular5:** new versions of angular and angular cli
  ([04726f4](https://github.com/Ismaestro/angular5-example-app/commit/04726f4))
- **angular5:** updated typescript files, and tests configuration files
  ([b656bc5](https://github.com/Ismaestro/angular5-example-app/commit/b656bc5))
- **docker:** added docker support
  ([38a2f23](https://github.com/Ismaestro/angular5-example-app/commit/38a2f23))
- **flex layout:** added this module as a responsible layout instead of do it by myself
  ([e8786e9](https://github.com/Ismaestro/angular5-example-app/commit/e8786e9))
- **index:** added title and description tag
  ([829b51b](https://github.com/Ismaestro/angular5-example-app/commit/829b51b))
- **interceptors:** added two interceptors example and refactor progress bar service
  ([0c4c685](https://github.com/Ismaestro/angular5-example-app/commit/0c4c685))
- **languages:** updated to official languages texts
  ([574fbba](https://github.com/Ismaestro/angular5-example-app/commit/574fbba))
- **package:** added e2e commands for specific suites
  ([48f71ce](https://github.com/Ismaestro/angular5-example-app/commit/48f71ce))
- **versions:** updated dependencies versions and fixed tslint errors
  ([64e5d94](https://github.com/Ismaestro/angular5-example-app/commit/64e5d94))

<a name="5.0.0"></a>

# [5.0.0](https://github.com/Ismaestro/angular4-example-app/compare/v2.4.0...v5.0.0) (2017-11-06)

### Bug Fixes

- **e2e:** updated number of default heroes
  ([cd0b1d4](https://github.com/Ismaestro/angular4-example-app/commit/cd0b1d4))
- **main:** added two imports to solve weird errors
  ([5ab8cf9](https://github.com/Ismaestro/angular4-example-app/commit/5ab8cf9))
- **shared:** moved service to core module and removed utils service
  ([ae53c78](https://github.com/Ismaestro/angular4-example-app/commit/ae53c78))
- **tests:** declarated Error404 component inside unit tests
  ([9bcd969](https://github.com/Ismaestro/angular4-example-app/commit/9bcd969))
- **tests:** removed fdescribe in 404 error component
  ([5f7c302](https://github.com/Ismaestro/angular4-example-app/commit/5f7c302))

### Features

- **404:** added 404 page error
  ([0d0853d](https://github.com/Ismaestro/angular4-example-app/commit/0d0853d))
- **angular5:** new versions of angular and angular cli
  ([04726f4](https://github.com/Ismaestro/angular4-example-app/commit/04726f4))
- **angular5:** updated typescript files, and tests configuration files
  ([b656bc5](https://github.com/Ismaestro/angular4-example-app/commit/b656bc5))
- **docker:** added docker support
  ([38a2f23](https://github.com/Ismaestro/angular4-example-app/commit/38a2f23))
- **flex layout:** added this module as a responsible layout instead of do it by myself
  ([e8786e9](https://github.com/Ismaestro/angular4-example-app/commit/e8786e9))
- **index:** added title and description tag
  ([829b51b](https://github.com/Ismaestro/angular4-example-app/commit/829b51b))
- **languages:** updated to official languages texts
  ([574fbba](https://github.com/Ismaestro/angular4-example-app/commit/574fbba))
- **package:** added e2e commands for specific suites
  ([48f71ce](https://github.com/Ismaestro/angular4-example-app/commit/48f71ce))
